### Signal

# EDataBook BookSqlite::before-remove-contact

#### Declaration

    gboolean
    before_remove_contact (
      EBookSqlite* self,
      gpointer object,
      gchar* p0,
      GCancellable* p1,
      gpointer p2,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`object`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`p0`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`p1`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`p2`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.